RHEL 3 / 4 / 5 : quagga (RHSA-2007:0389)

Medium Nessus Plugin ID 25363


The remote Red Hat host is missing one or more security updates.


An updated quagga package that fixes a security bug is now available for Red Hat Enterprise Linux 3, 4 and 5.

This update has been rated as having moderate security impact by the Red Hat Security Response Team.

Quagga is a TCP/IP based routing software suite.

An out of bounds memory read flaw was discovered in Quagga's bgpd. A configured peer of bgpd could cause Quagga to crash, leading to a denial of service (CVE-2007-1995).

All users of Quagga should upgrade to this updated package, which contains a backported patch to correct these issues.


Update the affected quagga, quagga-contrib and / or quagga-devel packages.

See Also



Plugin Details

Severity: Medium

ID: 25363

File Name: redhat-RHSA-2007-0389.nasl

Version: $Revision: 1.19 $

Type: local

Agent: unix

Published: 2007/06/01

Modified: 2016/12/29

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.3

Temporal Score: 5.5

Vector: CVSS2#AV:N/AC:M/Au:S/C:N/I:N/A:C

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:redhat:enterprise_linux:quagga, p-cpe:/a:redhat:enterprise_linux:quagga-contrib, p-cpe:/a:redhat:enterprise_linux:quagga-devel, cpe:/o:redhat:enterprise_linux:3, cpe:/o:redhat:enterprise_linux:4, cpe:/o:redhat:enterprise_linux:4.5, cpe:/o:redhat:enterprise_linux:5

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2007/05/30

Vulnerability Publication Date: 2007/04/10

Reference Information

CVE: CVE-2007-1995

BID: 23417

OSVDB: 34812

RHSA: 2007:0389

CWE: 20